/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Formularios;

import Classes.Dados;
import Classes.Usuario;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author PICHAU
 */
public class frmUsuarios extends javax.swing.JInternalFrame {

    private Dados clsdados;
    private int usuarioatual=0;
    private boolean cmdNovo=false;
    private DefaultTableModel Usertable;
    
    public void setDados(Dados clsdados){
        this.clsdados = clsdados;
    }
    public frmUsuarios() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        txtcodusuario = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        txtnome = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        txtsobrenome = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        txtsenha = new javax.swing.JPasswordField();
        jLabel5 = new javax.swing.JLabel();
        txtcomfirmarsenha = new javax.swing.JPasswordField();
        cmddeletar = new javax.swing.JButton();
        cmdnovo = new javax.swing.JButton();
        cmdsalvar = new javax.swing.JButton();
        cmdpesquisar = new javax.swing.JButton();
        cmdalterar = new javax.swing.JButton();
        cmdanterior = new javax.swing.JButton();
        cmdproximo = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        Mtable = new javax.swing.JTable();
        jLabel6 = new javax.swing.JLabel();
        cmdcancelar = new javax.swing.JButton();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Cadastro De Usuarios");
        addInternalFrameListener(new javax.swing.event.InternalFrameListener() {
            public void internalFrameActivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosed(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameClosing(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameIconified(javax.swing.event.InternalFrameEvent evt) {
            }
            public void internalFrameOpened(javax.swing.event.InternalFrameEvent evt) {
                formInternalFrameOpened(evt);
            }
        });

        jPanel1.setBackground(new java.awt.Color(255, 255, 0));

        jLabel1.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel1.setText("Cad Usuario: ");

        jLabel2.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel2.setText("Nome: ");

        jLabel3.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel3.setText("Sobrenome: ");

        jLabel4.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel4.setText("Senha: ");

        jLabel5.setFont(new java.awt.Font("Times New Roman", 3, 24)); // NOI18N
        jLabel5.setText("Comfirmar Senha");

        cmddeletar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/delete_4219.png"))); // NOI18N
        cmddeletar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmddeletarActionPerformed(evt);
            }
        });

        cmdnovo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/NovoUsuario.png"))); // NOI18N
        cmdnovo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdnovoActionPerformed(evt);
            }
        });

        cmdsalvar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Salvar.png"))); // NOI18N
        cmdsalvar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdsalvarActionPerformed(evt);
            }
        });

        cmdpesquisar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Pesquisar.png"))); // NOI18N
        cmdpesquisar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdpesquisarActionPerformed(evt);
            }
        });

        cmdalterar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Editar.png"))); // NOI18N
        cmdalterar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdalterarActionPerformed(evt);
            }
        });

        cmdanterior.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Anterior.png"))); // NOI18N
        cmdanterior.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdanteriorActionPerformed(evt);
            }
        });

        cmdproximo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Proximo.png"))); // NOI18N
        cmdproximo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdproximoActionPerformed(evt);
            }
        });

        Mtable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null},
                {null, null, null}
            },
            new String [] {
                "Cod Usuario", "Nome", "Sobrenome"
            }
        ));
        jScrollPane1.setViewportView(Mtable);

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/burger_food_20614.png"))); // NOI18N

        cmdcancelar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/Cancelar.png"))); // NOI18N
        cmdcancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdcancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(cmdanterior)
                        .addGap(18, 18, 18)
                        .addComponent(cmdproximo)
                        .addGap(18, 18, 18)
                        .addComponent(cmdcancelar)
                        .addGap(18, 18, 18)
                        .addComponent(cmdalterar)
                        .addGap(18, 18, 18)
                        .addComponent(cmdpesquisar)
                        .addGap(18, 18, 18)
                        .addComponent(cmdsalvar)
                        .addGap(18, 18, 18)
                        .addComponent(cmdnovo)
                        .addGap(18, 18, 18)
                        .addComponent(cmddeletar)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 177, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel5))
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addComponent(txtcomfirmarsenha))
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addComponent(txtsenha, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE))))
                            .addComponent(txtsobrenome, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(jLabel3, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(txtnome, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(txtcodusuario, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 400, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 38, Short.MAX_VALUE)
                        .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 152, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel1)
                            .addComponent(txtcodusuario, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(txtnome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(24, 24, 24)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(txtsobrenome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel3))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel4)
                            .addComponent(txtsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(txtcomfirmarsenha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(cmdanterior)
                    .addComponent(cmdnovo)
                    .addComponent(cmdproximo)
                    .addComponent(cmdcancelar)
                    .addComponent(cmdalterar)
                    .addComponent(cmdpesquisar)
                    .addComponent(cmdsalvar)
                    .addComponent(cmddeletar))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 363, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(113, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    private void formInternalFrameOpened(javax.swing.event.InternalFrameEvent evt) {//GEN-FIRST:event_formInternalFrameOpened
    txtcodusuario.setText(clsdados.getUsuarios()[usuarioatual].getCodusuario());
    txtnome.setText(clsdados.getUsuarios()[usuarioatual].getNome());
    txtsobrenome.setText(clsdados.getUsuarios()[usuarioatual].getSobrenome());
    txtsenha.setText(clsdados.getUsuarios()[usuarioatual].getSenha());
    txtcomfirmarsenha.setText(clsdados.getUsuarios()[usuarioatual].getSenha());
     CarregarTable();
    
    }//GEN-LAST:event_formInternalFrameOpened

    private void cmdproximoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdproximoActionPerformed
        // TODO add your handling code here:
       usuarioatual ++;
        if(usuarioatual == +1){
            usuarioatual = clsdados.NUsuarios()+1;
        
        }
        visualizarCadastros();
    }//GEN-LAST:event_cmdproximoActionPerformed

    private void cmdanteriorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdanteriorActionPerformed
        // TODO add your handling code here:
        usuarioatual --;
        if(usuarioatual == -1){
            usuarioatual = clsdados.NUsuarios()-1;
        }
        visualizarCadastros();
    }//GEN-LAST:event_cmdanteriorActionPerformed

    private void cmdalterarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdalterarActionPerformed
        cmdanterior.setEnabled(true);
        cmdproximo.setEnabled(true);
        cmddeletar.setEnabled(true);
        cmdalterar.setEnabled(false);
        cmdcancelar.setEnabled(false);
        cmdsalvar.setEnabled(true);
        cmdpesquisar.setEnabled(true);

        txtnome.setEnabled(true);
        txtsobrenome.setEnabled(true);
        txtsenha.setEnabled(true);
        txtcomfirmarsenha.setEnabled(true);

        txtnome.requestFocusInWindow();

    }//GEN-LAST:event_cmdalterarActionPerformed

    private void cmdpesquisarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdpesquisarActionPerformed
        //este codigo é para botao pesquisar,  (se for ter)

        String usuario = JOptionPane.showInputDialog("Favor digitar o codigo do usuario para realizar sua pesquisa");
        if(usuario.equals("")){
            return;
        }
        
              
        int posL = clsdados.LinhaUsuario(usuario);
        if (posL == -1){
            JOptionPane.showMessageDialog(rootPane, " Nao foi possivel localiza este cadastro no nosso banco de dados");
            return;
        }
        usuarioatual=posL;
        visualizarCadastros();
    }//GEN-LAST:event_cmdpesquisarActionPerformed
    
    
    //inicio do teste
    public class SemLetraBException extends Exception {
    @Override
    public String getMessage(){
    return "Favor digitar o codigo d";
  }
}
    
    public class TesteExcecao {
  public  void main(String args[]) throws SemLetraBException 
  {
    String usuario = JOptionPane.showInputDialog("Favor digitar o cod");
    if(!usuario.contains(null) )
    throw new SemLetraBException();
  }
}
    // fim do teste
    
    
    private void cmdsalvarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdsalvarActionPerformed
        //validando os campo no formulario de usuario

        if (txtcodusuario.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (txtcodusuario.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo codigo do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (txtnome.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo nome do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (txtsobrenome.getText().equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo Sobrenome do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }

        String SSenha= new String (txtsenha.getPassword());
        String comfirmarsenha= new String(txtcomfirmarsenha.getPassword());

        if (SSenha.equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo Senha do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (comfirmarsenha.equals("")) {
            JOptionPane.showMessageDialog(rootPane, "O Campo confirmar a senha do usuario não pode ficar em branco!");
            txtcodusuario.requestFocusInWindow();
            return;

        }
        if (!SSenha.equals(comfirmarsenha)) {
            JOptionPane.showMessageDialog(rootPane, "O Campo de Confirmar a senha deve ser igual a senha!");
            txtcodusuario.requestFocusInWindow();
            return;

        }

        int poslinha= clsdados.LinhaUsuario(txtcodusuario.getText());
        if (cmdNovo) {
            if (poslinha != -1) {
                JOptionPane.showMessageDialog(rootPane, "Este cadastro ja existe");
                txtcodusuario.requestFocusInWindow();
                return;

            }

        }

        else{
            if (poslinha == -1) {
                JOptionPane.showMessageDialog(rootPane, "Este cadastro não existe ainda");
                txtcodusuario.requestFocusInWindow();
                return;

            }

            Usuario MUsuario = new Usuario(txtcodusuario.getText(), txtnome.getText(), txtsobrenome.getText(), SSenha);

            String msg;

            if (cmdNovo) {
                msg= clsdados.CadUsuario(MUsuario);

            }else{
                msg= clsdados.EditarUsuario(MUsuario,poslinha);
            }
            JOptionPane.showMessageDialog(rootPane, msg);

            //Esse é o codigo do botão de salvar

            //cmdsalvar.setEnabled(false);
            //cmdultimo.setEnabled(false);

            cmdanterior.setEnabled(false);
            cmdproximo.setEnabled(false);
            cmddeletar.setEnabled(false);
            cmdalterar.setEnabled(true);
            cmdcancelar.setEnabled(true);
            cmdsalvar.setEnabled(false);
            cmdpesquisar.setEnabled(false);

            txtcodusuario.setEnabled(false);
            txtnome.setEnabled(false);
            txtsobrenome.setEnabled(false);
            txtsenha.setEnabled(false);
            txtcomfirmarsenha.setEnabled(false);
             CarregarTable();

        }
    }//GEN-LAST:event_cmdsalvarActionPerformed

    private void cmdnovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdnovoActionPerformed
        // TODO add your handling code here

        cmdanterior.setEnabled(true);
        cmdproximo.setEnabled(true);
        cmddeletar.setEnabled(true);
        cmdalterar.setEnabled(false);
        cmdcancelar.setEnabled(false);
        cmdsalvar.setEnabled(true);
        cmdpesquisar.setEnabled(true);

        txtcodusuario.setEnabled(true);
        txtnome.setEnabled(true);
        txtsobrenome.setEnabled(true);
        txtsenha.setEnabled(true);
        txtcomfirmarsenha.setEnabled(true);

        txtcodusuario.setText("");
        txtnome.setText("");
        txtsobrenome.setText("");
        txtsenha.setText("");
        txtcomfirmarsenha.setText("");

        txtcodusuario.requestFocusInWindow();

        CarregarTable();
    }//GEN-LAST:event_cmdnovoActionPerformed

    private void cmddeletarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmddeletarActionPerformed
        // Este é o codigo do botão deletar

        int Del = JOptionPane.showConfirmDialog(rootPane, "Tem certeza que deseja deletar este cadastro?");
        if (Del !=0) {
            return;

        }
        String msg;
        //msg = clsdados.DeletarUsuario(usuarioatual,usuarioatual);
        JOptionPane.showMessageDialog(rootPane, ui);
        usuarioatual = 0;
        visualizarCadastros();
    }//GEN-LAST:event_cmddeletarActionPerformed

    private void cmdcancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdcancelarActionPerformed
        // Esse aqui é o codigo do botão cancelar
        cmdanterior.setEnabled(true);
        cmdproximo.setEnabled(true);
        cmddeletar.setEnabled(true);
        cmdalterar.setEnabled(false);
        cmdcancelar.setEnabled(false);
        cmdsalvar.setEnabled(true);
        cmdpesquisar.setEnabled(true);

        txtcodusuario.setEnabled(true);
        txtnome.setEnabled(true);
        txtsobrenome.setEnabled(true);
        txtsenha.setEnabled(true);
        txtcomfirmarsenha.setEnabled(true);

        txtcodusuario.setText("");
        txtnome.setText("");
        txtsobrenome.setText("");
        txtsenha.setText("");
        txtcomfirmarsenha.setText("");
        
    }//GEN-LAST:event_cmdcancelarActionPerformed
private void visualizarCadastros(){
        txtcodusuario.setText(clsdados.getUsuarios()[usuarioatual].getCodusuario());
        txtnome.setText(clsdados.getUsuarios()[usuarioatual].getNome());
        txtsobrenome.setText(clsdados.getUsuarios()[usuarioatual].getSobrenome());
        txtsenha.setText(clsdados.getUsuarios()[usuarioatual].getSenha());
        txtcomfirmarsenha.setText(clsdados.getUsuarios()[usuarioatual].getCodusuario());
    
}
private void CarregarTable(){
 String titulocabecalho[]={"Codido do usuario ","Nome","Sobre Nome"};
 String RegCadastro[]= new String[4];
 Usertable=new DefaultTableModel(null, titulocabecalho);
    for (int i = 0; i < clsdados.NUsuarios(); i++) {
        RegCadastro[0]=clsdados.getUsuarios()[i].getCodusuario();
        RegCadastro[1]=clsdados.getUsuarios()[i].getNome();
        RegCadastro[2]=clsdados.getUsuarios()[i].getSobrenome();
        

        Usertable.addRow(RegCadastro);
    }
    Mtable.setModel(Usertable);
}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable Mtable;
    private javax.swing.JButton cmdalterar;
    private javax.swing.JButton cmdanterior;
    private javax.swing.JButton cmdcancelar;
    private javax.swing.JButton cmddeletar;
    private javax.swing.JButton cmdnovo;
    private javax.swing.JButton cmdpesquisar;
    private javax.swing.JButton cmdproximo;
    private javax.swing.JButton cmdsalvar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField txtcodusuario;
    private javax.swing.JPasswordField txtcomfirmarsenha;
    private javax.swing.JTextField txtnome;
    private javax.swing.JPasswordField txtsenha;
    private javax.swing.JTextField txtsobrenome;
    // End of variables declaration//GEN-END:variables
}

